Skip to content
GET/api/{version}/metadata/vobjects/{object_name}/fields/{object_field_name}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{object_name}The object name__v field value (product__v, country__v, custom_object__c, etc.).
{object_field_name}The object field name value (id, name__v, external_id__v, etc.).
NameDescription
locSet to true to retrieve the localized_data array, which contains the localized (translated) strings for the label and label_plural object fields. If omitted, defaults to false and localized Strings are not included.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v23.1/metadata/vobjects/product__v/fields/name__v
{ "responseStatus": "SUCCESS", "field": { "lookup_relationship_name": null, "start_number": null, "source": "standard", "type": "String", "required": true, "list_column": true, "facetable": false, "max_length": 128, "order": 1, "help_content": "The primary name of the product.", "editable": true, "label": "Product Name", "modified_date": "2021-09-22T22:57:11.000Z", "created_by": 1, "no_copy": false, "encrypted": false, "system_managed_name": false, "value_format": null, "unique": true, "name": "name__v", "modified_by": 1, "created_date": "2021-09-22T22:57:11.000Z", "sequential_naming": false, "lookup_source_field": null, "status": [ "active__v" ] } }

The response lists all metadata configured on the specified Vault object field. Note the following field metadata: